CMSIS-DSP: Minimum

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Minimum
Statistics Functions

## Functions
void | arm_min_f32 (float32_t *pSrc, uint32_t blockSize, float32_t *pResult, uint32_t *pIndex)
| Minimum value of a floating-point vector.
void | arm_min_q15 (q15_t *pSrc, uint32_t blockSize, q15_t *pResult, uint32_t *pIndex)
| Minimum value of a Q15 vector.
void | arm_min_q31 (q31_t *pSrc, uint32_t blockSize, q31_t *pResult, uint32_t *pIndex)
| Minimum value of a Q31 vector.
void | arm_min_q7 (q7_t *pSrc, uint32_t blockSize, q7_t *pResult, uint32_t *pIndex)
| Minimum value of a Q7 vector.

## Description

Computes the minimum value of an array of data. The function returns both the minimum value and its position within the array. There are separate functions for floating-point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_min_f32 | ( | float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns
  none.

Examples:
  arm_class_marks_example_f32.c, and arm_signal_converge_example_f32.c.

Referenced by main().

void arm_min_q15 | ( | q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns
  none.

void arm_min_q31 | ( | q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns
  none.

void arm_min_q7 | ( | q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns
  none.